org.apache.solr.client.solrj.impl

## Class HttpListenerFactory.RequestResponseListener

- java.lang.Object
- - org.apache.solr.client.solrj.impl.HttpListenerFactory.RequestResponseListener

All Implemented Interfaces:
  EventListener, org.eclipse.jetty.client.api.Request.BeginListener, org.eclipse.jetty.client.api.Request.QueuedListener, org.eclipse.jetty.client.api.Request.RequestListener, org.eclipse.jetty.client.api.Response.CompleteListener, org.eclipse.jetty.client.api.Response.ResponseListener

Enclosing interface:
  HttpListenerFactory

    public abstract static class HttpListenerFactory.RequestResponseListener
    extends Object
    implements org.eclipse.jetty.client.api.Request.BeginListener, org.eclipse.jetty.client.api.Response.CompleteListener, org.eclipse.jetty.client.api.Request.QueuedListener

### Constructor Summary

Constructors
Constructor and Description
`RequestResponseListener()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onBegin(org.eclipse.jetty.client.api.Request request)`
`void` `onComplete(org.eclipse.jetty.client.api.Result result)`
`void` `onQueued(org.eclipse.jetty.client.api.Request request)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RequestResponseListener

    public RequestResponseListener()

### Method Detail

#### onBegin

    public void onBegin(org.eclipse.jetty.client.api.Request request)

Specified by:
  `onBegin` in interface `org.eclipse.jetty.client.api.Request.BeginListener`

#### onQueued

    public void onQueued(org.eclipse.jetty.client.api.Request request)

Specified by:
  `onQueued` in interface `org.eclipse.jetty.client.api.Request.QueuedListener`

#### onComplete

    public void onComplete(org.eclipse.jetty.client.api.Result result)

Specified by:
  `onComplete` in interface `org.eclipse.jetty.client.api.Response.CompleteListener`